﻿using System;
using System.IO;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static async Task<int> Main(string[] args)
        {
            AzureRestClient client = new AzureRestClient();

            string authData = File.ReadAllText("...[az ad sp create-for-rbac --sdk-auth]...");
            if (await client.Login(authData) == true)
            {
                VirtualMachineList machines = await client.GetVMList();
                foreach (var machine in machines.value)
                {
                    Console.WriteLine($"{machine.name} at {machine.location}");
                }
            }            

            return 0;
        }
    }
}
